Bug 821119 - Grub 2 with kdm : no entry in reboot menu if GRUB_DEFAULT=0
Grub 2 with kdm : no entry in reboot menu if GRUB_DEFAULT=0
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
17
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-12 01:43 EDT by dominique
Modified: 2013-08-01 07:43 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:43:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dominique 2012-05-12 01:43:52 EDT
I use KDE, and in KDM menu there is an option to see the grub2 menu in the windows of reboot menu see here : http://pix.toile-libre.org/upload/original/1336677488.jpg

But this option only work if GRUB_DEFAULT is set to saved in /etc/default/grub

If it's set to 0 (GRUB_DEFAULT=0 ,reboot on last installed kernel) this menu don't appear.

It's boring, because when a new kernel is installed, you must choose this kernel in grub menu to boot in.

Is it a bug or is there a special configuration in /etc/default/grub for booting on the last installed kernel ?
Comment 1 Mads Kiilerich 2012-05-12 03:53:30 EDT
Related: Bug 768106 - grubby does not support grub2 set default="${saved_entry}" and replaces with "0"

I don't know what this KDM menu is and what it is supposed to do. I will reassign to something in the direction of KDE. It seems like it doesn't do the right thing ... and if it does then it will have to describe in technical details what the problem in GRUB is.
Comment 2 Rex Dieter 2012-05-12 21:41:15 EDT
Kdm has a feature to allow one to set what entry to use on next boot

For background, see also bug #785849 and bug #785378
Comment 3 Mads Kiilerich 2012-05-13 04:34:11 EDT
Ok, so please give a short summary of what KDM do to list and set boot options.
Comment 4 Fedora End Of Life 2013-07-03 23:44:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 07:43:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.